cPanel & WHM no longer develops or updates EasyApache 3. We deprecated EasyApache 3 on December 31, 2018. We removed support for EasyApache 3 in cPanel & WHM version 78.
Apache Module: Version - EasyApache - cPanel Documentation
Page tree
Skip to end of metadata
Go to start of metadata

Overview

The mod_version Apache module provides a flexible way to check for different httpd versions. 

Usage

Use the mod_version Apache module to implement different configurations based on the httpd version.

Requirements

This module has no requirements.

Compatibility

This module has no known compatibility issues.

How to install or uninstall mod_version

The following EasyApache profiles include the mod_version Apache module by default:

  • Basic
  • ModRuid2
  • MPM ITK

Note:

The Mod Ruid2 profile is only available if you do not use CloudLinux™.

To install or uninstall the mod_version Apache module, perform the following steps:

  1. Run EasyApache in WHM's EasyApache 3 interface (Home >> Software >> EasyApache 3).

    Notes:

    • To access EasyApache from the command line interface, run the /scripts/easyapache script as the root user.
    • For more information on EasyApache, read our EasyApache documentation.
  2. Select the profile that you wish to modify.

  3. Click the  that corresponds to your selection.

  4. Click Next Step in the Apache Version stage.
  5. Click Next Step in the PHP Version stage.
  6. Click Exhaustive Options List in the Short Options List stage.
  7. Perform one of the following actions in the Exhaustive Options List stage: 
    • To install the mod_version Apache module, select the Version option.
    • To uninstall the mod_version Apache module, deselect the Version option.
  8. Click Save and Build.

How to enable or disable the module in a custom EasyApache profile file

The following table provides information about how EasyApache refers to the mod_version Apache module: 

EasyApache module namemod_version
EasyApache Profile EntryApache:optmods:Version

To enable or disable the mod_version Apache module in a custom EasyApache profile file for Apache 2.2, set the Apache:optmods:Version profile entry to one of the following values:

  • 0 - This value enables the module.
  • 1 - This value disables the module.

To enable or disable the mod_version Apache module in a custom EasyApache profile file for Apache 2.4, set the Apache:optmods:Version profile entry to one of the following values:

  • 1 - This value enables the module.
  • 0 - This value disables the module.

Important:

The mod_version Apache module is a reverse boolean in Apache version 2.2. It is a standard boolean in version 2.4.

History

The following table provides information on changes to the mod_version Apache module within EasyApache, and content changes to this document:

DateEasyApache versionActionDetails
2/11/20143.24.11Doc updateImplemented case 73225: Remove Apache 1.3 and 2.0
1/31/20133.18.0Doc updateImplemented case 51105: Update for Apache 2.4

Vendor documentation

The following text is an excerpt from the Apache.org website:

This module is designed for the use in test suites and large networks which have to deal with different httpd versions and different configurations. It provides a new container -- <IfVersion>, which allows a flexible version checking including numeric comparisons and regular expressions.

For more information on the mod_version Apache module, click the following links: